/* ===================================
   Variable CSS
   =================================== */

:root {
  /* Couleurs principales */
  --primary-color: #0d6efd;
  --secondary-color: #6c757d;
  --foter-bg: #383838;

  /* Couleurs de texte */
  --text-dark: #3c3c3c;
  --text-light: #6c757d;
  --text-white: #ffffff;

  /* Couleurs de fond */
  --bg-light: #fff8ef;
  --white: #ffffff;
  --bg-footer: #383838;
  --bg-highlight: #fff4e3;

  /* Couleurs d'état */
  --aared: #dc002e;
  --aableu: #a0d1cd;
  --aarose: #e73358;
  --aajaune: #fad763;
  --aavert: #b5c980;
  --aaviolet: #a52e5c;
  --aagold: #b19251;

  /* Couleurs de liens */
  --link-color: #0d6efd;
  --link-hover: #0a58ca;

  /* Ombres */
  --shadow-sm: 0 0.125rem 0.25rem rgba(0, 0, 0, 0.075);
  --shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.15);
  --shadow-lg: 0 1rem 3rem rgba(0, 0, 0, 0.175);

  /* Transitions */
  --transition-speed: 0.3s;

  /* Espacements */
  --spacing-sm: 0.5rem;
  --spacing-md: 1rem;
  --spacing-lg: 2rem;
  --spacing-xl: 4rem;
}
/* ===================================
   BODY - COMMONS - FONTS
   =================================== */
@font-face {
  font-family: "Duplicate Sans";
  src: url("../fonts/DuplicateSans-Regular.otf") format("opentype");
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Duplicate Sans";
  src: url("../fonts/DuplicateSans-Bold.otf") format("opentype");
  font-weight: 700;
  font-style: normal;
  font-display: swap;
}
body {
  background-color: var(--bg-light);
  font-family: "Inter", sans-serif;
  color: var(--text-dark);
}
h1,
h2,
h3,
h4 {
  font-family: "Duplicate Sans", sans-serif;
}

/* ===================================
   TEMOIGNAGES - LIVRE D'OR STRUCTURE
   =================================== */

/* #aa160ans{
  padding: 40px 0 20px;
} */
#temoignages {
  padding: 40px 0 60px;
}
#livre-dor {
  padding: 50px 0;
}
#livre-dor-form {
  padding: 50px 0;
  background-color: var(--bg-highlight);
}

/* ===================================
   HEADER - PHOTO grid
   =================================== */
header {
  padding: 25px;
  width: 100%;
  box-sizing: border-box;
}
.aa-photo-grid {
  width: 100%;
  box-sizing: border-box;
  display: grid;
  grid-template-columns: repeat(7, 1fr);
  grid-template-rows: repeat(3, 1fr);
  gap: 1vw;
}
/* ===================================
   HEADER - grid COLOR FILTER
   =================================== */
/* .pink .card-front, */
.pink .card-back {
  background: var(--aarose);
  color: var(--white);
}
.blue .card-front,
.blue .card-back {
  background: var(--aableu);
}
.yellow .card-front,
.yellow .card-back {
  background: var(--aajaune);
}
.green .card-front,
.green .card-back {
  background: var(--aavert);
}
.purple .card-front,
.purple .card-back {
  background: var(--aaviolet);
  color: var(--white);
}

.aa-photo-grid .grid-item.logo-160a {
  grid-column: 1;
  grid-row: 1;
  aspect-ratio: auto;
  text-align: center;
  min-height: 0; /* CRUCIAL pour iOS avec Grid */
  min-width: 0; /* CRUCIAL pour iOS avec Grid */
  display: flex;
  align-items: center;
  justify-content: center;
}

.aa-photo-grid .grid-item.logo-160a a {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100%;
  height: 100%;
  text-decoration: none;
}

.aa-photo-grid .grid-item.logo-160a img {
  width: 66%;
  height: auto;
  max-width: 100%;
  object-fit: contain; /* Changez "none" en "contain" */
  border-radius: 0;
}

.aa-photo-grid .grid-item.vector-160a {
  /* width: 100%;
  height: 100%; */
  background-color: transparent;
  grid-column: 3 / 6; /* Colonnes 3 à 5 */
  grid-row: 3;
  aspect-ratio: auto;
}
.aa-photo-grid .grid-item.vector-160a img {
  border-radius: 0;
}

/* ===================================
   CARDS - Flipping EFFECT
   =================================== */
/* .aa-photo-grid
  .grid-item:not(.except-item)
  .aa-photo-grid
  .grid-item:not(.except-item)
  img:hover {
  opacity: 1;
  filter: grayscale(0);
} */
.grid-item:not(.except-item) {
  /* background-color: #ffefda; */
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100%;
  height: 100%;
  transition: filter 0.35s ease-out;
  position: relative;
  cursor: pointer;
  /* Maintient le ratio pour garder des carrés */
  aspect-ratio: 1 / 1;
  perspective: 500px;
}
.grid-item:not(.except-item) .card-inner {
  width: 100%;
  height: 100%;
  position: absolute;
  transition: all 0.5s;
  transform-style: preserve-3d;
  /* box-shadow: 5px 5px 10px rgba(0, 0, 0, 0.30); */
  border-radius: 20px;
}
.grid-item:not(.except-item) .card-inner .card-front,
.grid-item:not(.except-item) .card-inner .card-back {
  border-radius: inherit;
  position: absolute;
  height: 100%;
  width: 100%;
  text-align: center;
  backface-visibility: hidden;
  transition: all 0.5s;
}
.grid-item:not(.except-item) .card-inner .card-front img {
  border-radius: inherit;
  width: 100%;
  height: auto;
  object-fit: fill;
  /* filter: grayscale(95%) brightness(105%); */
  /* opacity: 0.35; */
  transition: filter 0.25s ease-out, opacity 0.25s ease-out;
  vertical-align: unset;
}
.grid-item:not(.except-item):hover .card-inner {
  transform: rotateY(180deg);
  transition: all 0.5s;
}
.grid-item:not(.except-item):hover .card-inner img {
  opacity: 1;
  filter: grayscale(0);
}
.grid-item:not(.except-item) .card-inner .card-back {
  transform: rotateY(180deg);
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 1.1vw;
  font-family: "Duplicate Sans";
  letter-spacing: 0.7px;
  font-weight: 600;
}
.grid-item:not(.except-item):hover .card-inner .card-back {
  backface-visibility: visible;
}
/* ===================================
   PAGE standard
   =================================== */
.page-intro .row {
  align-items: center;
}
.page-logo-aa img {
  max-width: 115px;
  height: auto;
}
.page-content {
  padding: 30px 0;
}
.page-content h3 {
  font-weight: 600;
  padding: 20px 0 5px;
}
.page-content a {
  color: var(--aared);
}
.page-cta {
  text-decoration: none;
  color: var(--aared);
  font-size: 1.4rem;
  letter-spacing: 1px;
  font-weight: 600;
}
/* ===================================
   Headlines - IRAISER - TYPOGRAPHY
   =================================== */
.aa-txt-headlines {
  font-size: 1.4rem;
  line-height: 1.4;
  padding: 0 0 17px 0;
}
.col-txt {
  padding-top: 20px;
}
.col-don h2 {
  text-align: center;
  font-weight: 400;
  font-size: 1.45rem;
  text-transform: uppercase;
  padding: 0 0 15px 0;
}

.intro-temoin {
  font-size: 1.85rem;
  /* margin-top: 130px; */
  text-align: center;
  font-weight: 600;
  line-height: 1.5;
}
.txt-highlight {
  background-color: var(--aared);
  color: var(--white);
  padding: 5px;
  line-height: 1.5;
  margin: 0 3px;
  font-weight: 600;
}

.iraiser-form {
  background-color: var(--white);
  border: 1px dashed var(--aared);
  border-radius: 20px;
  width: 100%;
  padding: 6px 10px;
}
.iraiser_native {
  width: 100%;
}
/* ===================================
   FOOTER - WIDGET
   =================================== */
footer {
  background-color: var(--bg-footer);
}
footer .footer-infos h2 {
  font-size: 1.375rem;
  color: var(--white);
  font-family: "Duplicate Sans", sans-serif;
  font-weight: bold;
  line-height: 1.2;
  padding-right: 15px;
}
.footer-infos ul.aa-links {
  margin: 0;
  padding: 0;
  list-style: none;
}
.footer-infos ul.aa-links li {
  margin: 0;
  padding: 0;
}
.footer-infos ul.aa-links li a {
  display: inline-block;
  text-decoration: none;
  color: var(--white);
  font-size: 1rem;
  font-weight: 700;
  line-height: 1.4rem;
  transition: 0.2s color linear;
}
.footer-infos ul.aa-links li a:hover {
  color: var(--aared);
}
/* .footer-logo {
} */
.clearfix {
  clear: both;
}
/* ===================================
   FOOTER DON BTN CTA
   =================================== */
.cta-footer {
  width: 326px;
}
.cta-footer a.wp-element-button {
  display: block;
  max-width: unset;
  margin: unset;
  padding: 0.9rem 1.4rem;
  transition: background-color 0.3s ease-out, color 0.3s ease-out,
    border 0.3s ease-out;
  font-family: "Duplicate Sans", sans-serif;
  font-weight: 700;
  text-decoration: none;
  font-size: 1.25em;
  width: 100%;
  box-sizing: border-box;
  text-align: left;
}
.cta-footer a:hover {
  background-color: var(--white) !important;
  border-color: var(--white) !important;
  color: var(--aared) !important;
}
/* ===================================
   STICKY DON BTN CTA
   =================================== */
.cta-red {
  display: block;
  max-width: unset;
  margin: unset;
  padding: 0.7rem 1.2rem;
  transition: background-color 0.3s ease-out, color 0.3s ease-out;
  color: var(--white);
  border-radius: 10px;
  background-color: var(--aared);
  font-size: 1.1rem;
  font-weight: bold;
  position: relative;
  font-family: "Duplicate Sans", sans-serif;
  text-decoration: none;
}
.cta-red:hover {
  background-color: var(--white);
  color: var(--aared);
}

.sticky-cta {
  position: fixed;
  top: 3vh;
  right: 3vh;
  display: block;
  z-index: 5;
}

@media (width < 576px) {
  .sticky-cta {
    top: auto;
    right: auto;
    left: 0;
    bottom: 0;
    width: 100%;
  }
  .sticky-cta .cta-red {
    width: 100%;
    border-radius: 0;
    font-size: 1.2rem;
    text-align: center;
  }
  .sticky-cta .cta-red:hover {
    color: var(--white);
    background-color: var(--aared);
  }
}

/* ===================================
   FIL AA illustrations
   =================================== */

.desktop-flow .temoignage-item:nth-child(2) {
  padding-top: 16vw;
}
.desktop-flow .temoignage-item:nth-child(4) {
  padding-top: 18vw;
}
@media (width > 1700px) {
  #aa160ans {
    background: url(../images/aa_fil_coeur_1700.svg) left 72% no-repeat;
    background-size: 58vw;
  }

  #temoignages {
    background: url(../images/aa_fil_jf1.svg) right top no-repeat;
    background-size: 48vw;
    position: relative;
    z-index: 1;
  }
  #temoignages::after {
    width: 49vw;
    height: 100%;
    content: "";
    display: block;
    position: absolute;
    bottom: 0;
    right: 0;
    background: url(../images/aa_fil_main.svg) right bottom no-repeat;
    background-size: contain;
    z-index: 2;
  }
  .temoignage-item:nth-child(1) {
    background: url(../images/aa_fil_livre.svg) center 91% no-repeat;
    background-size: 80%;
  }
  .temoignage-item:nth-child(4) {
    background: url(../images/aa_fil_musique.svg) center 5% no-repeat;
    background-size: 87%;
  }
  .temoignage-item:nth-child(3) {
    background: url(../images/aa_fil_ecolier.svg) center 94% no-repeat;
    background-size: 79%;
  }
  #livre-dor {
    background: url(../images/aa_fil_livredor_1700.svg) center 50% no-repeat;
    background-size: 100%;
  }
}

@media (width <= 1700px) {
  #aa160ans {
    background: url(../images/aa_fil_coeur_1700.svg) 0 70% no-repeat;
    background-size: 61vw;
  }
  #temoignages {
    background: url(../images/aa_fil_jf1_1700.svg) right top no-repeat;
    background-size: 50vw;
    position: relative;
  }
  #temoignages::after {
    width: 49vw;
    height: 100%;
    content: "";
    display: block;
    position: absolute;
    bottom: 0;
    right: 0;
    background: url(../images/aa_fil_main_1700.svg) right bottom no-repeat;
    background-size: contain;
    z-index: 2;
  }
  .temoignage-item:nth-child(1) {
    background: url(../images/aa_fil_livre.svg) center 95% no-repeat;
    background-size: 76%;
  }
  .temoignage-item:nth-child(4) {
    background: url(../images/aa_fil_musique.svg) center 0% no-repeat;
    background-size: 86%;
  }
  .temoignage-item:nth-child(3) {
    background: url(../images/aa_fil_ecolier.svg) center 94% no-repeat;
    background-size: 79%;
  }
  #livre-dor{
    background: url(../images/aa_fil_livredor.svg) center 46% no-repeat;
    background-size: 100%;
  }
}
@media (width < 992px) {
  #aa160ans,
  #temoignages,
  .temoignage-item:nth-child(1),
  .temoignage-item:nth-child(4),
  .temoignage-item:nth-child(3) {
    background: none;
  }
  #temoignages::after {
    display: none;
  }
  #temoignages {
    padding-top: 5px;
    background: url(../images/aa_fil_ecolier.svg) 50% 98% no-repeat;
    background-size: 79%;
    padding-bottom: 27vw;
  }

  .temoignages-intro {
    background: url(../images/aa_fil_coeur_1700.svg) top center no-repeat;
    background-size: 100%;
    padding-top: 28vw;
  }
  /* #aa160ans {
    background: url(../images/aa_fil_coeur.svg) center bottom no-repeat;
    background-size: 50%;
  }

  #temoignages {
    background: url(../images/aa_fil_jeune_femme.svg) top right no-repeat;
    background-size: 50%;
  } */
  #livre-dor{
    background: url(../images/aa_fil_livredor.svg) center 43% no-repeat;
    background-size: 100%;
  }
}
/* .temoignage-item:nth-child(3) .temoignage-content {
  background: url(../images/aa_fil_ecolier.svg) 50% 5% no-repeat;
}
.temoignage-item:nth-child(4) .temoignage-content {
  background: url(../images/aa_fil_ecolier.svg) 50% 5% no-repeat;
}

.temoignage-item:nth-child(5) .temoignage-content {
  background: url(../images/aa_fil_jeune_femme.svg) 50% 5% no-repeat;
} */

/* ===================================
   RESPONSIVE - HEAD - LOGO - MENU - SECTIONS
   =================================== */
#jefaisundon {
  margin-top: 40px;
}
@media (width > 1700px) {
  #aa160ans .container-fluid {
    width: 57vw;
    margin: 40px auto 20px;
  }

  #aa160ans .container-fluid.temoignages-intro,
  #temoignages .container-fluid.temoignages-flow {
    width: 80vw;
    margin: 0 auto;
  }

  .aa-photo-grid .grid-item.extra {
    display: flex;
  }
  .aa-photo-grid {
    grid-template-columns: repeat(9, 1fr);
    gap: 0.7vw;
  }

  .aa-photo-grid .grid-item.vector-160a {
    grid-column: 4 / 7; /* Colonnes 3 à 5 */
    grid-row: 3;
  }
  #livre-dor .container-fluid.lor-messages {
    width: 74vw;
    margin: 0 auto;
  }
  #livre-dor-form .container-fluid.lor-form {
    width: 50vw;
    margin: 0 auto;
  }
}
@media (width <= 2000px) {
  #aa160ans .container-fluid {
    width: 74vw;
    margin: 40px auto 20px;
  }
}

@media (width <= 1700px) {
  .aa-photo-grid .grid-item.extra {
    display: none;
  }
  #aa160ans .container-fluid.temoignages-intro,
  #temoignages .container-fluid.temoignages-flow,
  #livre-dor .container-fluid.lor-messages,
  #aa160ans .container-fluid,
  #temoignages .container-fluid.intro {
    width: 100%;
    margin: 40px auto;
  }
  #livre-dor-form .container-fluid.lor-form {
    width: 70vw;
    margin: 0 auto;
  }
}
/* Less than or equal to 992px */
@media (width < 992px) {
  .aa-photo-grid {
    grid-template-columns: repeat(3, 1fr);
    gap: 2vw;
  }
  .aa-photo-grid .grid-item.vector-160a {
    grid-column: 1 / 4; /* Colonnes 3 à 5 */
    grid-row: 3;
  }
  .aa-photo-grid .grid-item:not(.except-item):nth-child(n + 7) {
    display: none;
  }
  .intro-temoin {
    font-size: 1.35rem;
    margin-top: 50px;
  }
  /* #headlines p, */
  .aa-txt-headlines {
    font-size: 1.1rem;
  }
  /* #headlines .container-fluid, */
  #temoignages .container-fluid.temoignages-flow,
  #livre-dor .container-fluid.lor-messages,
  #aa160ans .container-fluid,
  #temoignages .container-fluid.intro {
    margin: 20px auto;
  }
  #livre-dor-form .container-fluid.lor-form {
    width: 100%;
    margin: 20px auto;
  }
  .col-don {
    margin-bottom: 20px;
  }
  #aa160ans .container-fluid .row {
    flex-direction: column-reverse;
  }
  .grid-item:not(.except-item) .card-inner .card-back {
    font-size: 4vw;
  }
}

@media (width < 768px) {
  .footer-logo .wp-block-image .alignright {
    float: none;
    margin: 0.5em auto;
  }
  .footer-infos {
    text-align: center;
  }
  .footer-infos .is-layout-flex {
    justify-content: center;
  }
}
